=== debian/changelog ===
cliofetion (2.1.0-0ubuntu1) natty; urgency=low

  [ Aron Xu ]
  * Initial release

  [ Zhengpeng Hou ]
  * Updated Maintainer field.
  * Remove LDFLAGS=-Wl,--as-needed, since its being set by default in natty.

 -- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>  Sat, 15 Jan 2011 23:14:14 +0800
