=== debian/control ===
Source: cliofetion
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Aron Xu <happyaron.xu@gmail.com>
Build-Depends: debhelper (>= 7), cmake, pkg-config, libofetion-dev (>= 2.1.0), libssl-dev, libsqlite3-dev, libxml2-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/ofetion

Package: cliofetion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: open source command line fetion protocol client
 open source implementation of fetion protocol client
 Fetion is an IM provided by China Mobile, with features like, text chat,
 voice call, file sharing, etc.
 .
 This package provides the command line application.
