=== debian/changelog ===
cliofetion (2.2.0-1) unstable; urgency=low

  * Initial release (Closes: #608048)

 -- Aron Xu <happyaron.xu@gmail.com>  Wed, 04 May 2011 19:53:25 +0800
