=== debian/control ===
Source: cliofetion
Section: net
Priority: optional
Maintainer: Aron Xu <happyaron.xu@gmail.com>
DM-Upload-Allowed: yes
Uploaders: Asias He <asias.hejun@gmail.com>
Build-Depends: debhelper (>= 7), cmake, pkg-config, libofetion-dev (>= 2.2.0), libssl-dev, libsqlite3-dev, libxml2-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/ofetion

Package: cliofetion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: open source command line implementation of Fetion protocol
 Fetion is an IM provided by China Mobile, with features like, text chat,
 voice call, file sharing, etc. Openfetion is an open source client
 implementation of the protocol.
 .
 It only supports the core Internet SMS service.
