=== debian/watch ===
version=3
http://googlecode.debian.net/p/ofetion/cliofetion-(\d+.*)\.tar\.gz
